﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Chukou1Demo.Aspnet
{
    public partial class M2C : System.Web.UI.Page
    {
        // developer : ace-z
        // live token: 887E99B5F89BB18BEA12B204B620D236
        // local token: 887E99B5F89BB18BAAB9578EB18DB7FA
        // demo token: 8CA94EBA515F00687BD5FCCE215B1A1C

        public const string CK1TOOL_TOKEN = "8cafdd005fdd4ec7";

        public const string TOKEN = "8CA94EBA515F00687BD5FCCE215B1A1C";
        public const string USERKEY = "123456";
        public const string APIKEY = "wr5qjqh4gj";

        protected void Page_Load(object sender, EventArgs e)
        {
            AddOrder();
            GetOrder();
            GetStock();
        }

        public void AddOrder()
        {
            var client = new CK1.CK1SoapClient();

            var req = new CK1.M2CAddOrderRequest()
            {
                Token = TOKEN,
                CustomUserKey = USERKEY,
                MessageID = DateTime.Now.ToString("yyyyMMddHHmmss"),
                Submit = false,
                OrderDetail = new CK1.M2COrder()
                {
                    Remark = DateTime.Now.ToString("yyyyMMddHHmmss"),
                    Warehouse = CK1.EnumWarehouse.UK,
                }
            };

            var lstPackage = new List<CK1.M2CPackage>();
            var package = new CK1.M2CPackage()
            {
                ShipToAddress = new CK1.ShipToAddress()
                {
                    Contact = "Zeng",
                    Street1 = "street1",
                    Street2 = "street2",
                    City = "city",
                    Province = "province",
                    PostCode = "510026",
                    Country = "United Kingdom",
                    Phone = "82312191",
                    Email = "xg.zeng@chukou1.cn"
                },
                Custom = DateTime.Now.ToString("yyyyMMddHHmmssfff"),
                Shipping = "Royalmail",
                Services = "Tracking"
            };
            var lstProduct = new List<CK1.OutStoreProduct>();
            lstProduct.Add(new CK1.OutStoreProduct()
            {
                StorageNo = "EXGZ00000002",
                Quantity = 1
            });
            package.ProductList = lstProduct.ToArray();
            lstPackage.Add(package);
            req.OrderDetail.PackageList = lstPackage.ToArray();

            var resp = client.M2CAddOrder(req);
            if (resp.Ack == CK1.EnumAck.Success)
            {
                Response.Write(resp.OrderSign);
                foreach (var item in resp.Packages)
                {
                    Response.Write(item.Custom + ": " + item.ItemSign);
                }
            }
            else
            {
                Response.Write(resp.Message);
            }

            //Console.ReadKey();
        }

        public void GetStock()
        {
            var client = new CK1.CK1SoapClient();
            var req = new CK1.M2CGetShareStockRequest()
            {
                Token = TOKEN,
                CustomUserKey = USERKEY,
                StorageNo = "GTST00000217",
            };

            var resp = client.M2CGetShareStock(req);
            if (resp.Ack == CK1.EnumAck.Success)
            {

            }
            else
            {
                Response.Write(resp.Message);
            }
        }

        public void GetOrder()
        {
            var client = new CK1.CK1SoapClient();

            var req = new CK1.M2CGetOrderRequest()
            {
                Token = TOKEN,
                CustomUserKey = USERKEY,
                //OrderSign = "STST11112800001",
                OrderSign = "ETST11120100003",
            };

            var resp = client.M2CGetOrder(req);
            if (resp.Ack == CK1.EnumAck.Success)
            {

            }
            else
            {
                Response.Write(resp.Message);
            }
        }
    }
}