﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Chukou1Demo.Aspnet
{
    public partial class M2CAddOrder : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var client = new CK1.CK1SoapClient();
            UserKeyAndToken ukt = new UserKeyAndToken();
            var req = new CK1.M2CAddOrderRequest()
            {
                Token = ukt.getToken(),
                CustomUserKey = ukt.getUserKey(),
                MessageID = txtMessageID.Text,
                Version = txtVersion.Text,
                Submit = false,
                OrderDetail = new CK1.M2COrder()
                {
                    Remark = DateTime.Now.ToString("yyyyMMddHHmmss"),
                    Warehouse = CK1.EnumWarehouse.UK,
                }
            };

            var lstPackage = new List<CK1.M2CPackage>();
            var package = new CK1.M2CPackage()
            {
                ShipToAddress = new CK1.ShipToAddress()
                {
                    Contact = "Wills",
                    Street1 = "street1",
                    Street2 = "street2",
                    City = "city",
                    Province = "province",
                    PostCode = "510026",
                    Country = "United Kingdom",
                    Phone = "82312191",
                    Email = "xi.zhou@chukou1.com"
                },
                Custom = DateTime.Now.ToString("yyyyMMddHHmmssfff"),
                Shipping = "Royalmail",
                Services = "Tracking"
            };
            var lstProduct = new List<CK1.OutStoreProduct>();
            lstProduct.Add(new CK1.OutStoreProduct()
            {
                StorageNo = "EXGZ00000002",
                Quantity = 1
            });
            package.ProductList = lstProduct.ToArray();
            lstPackage.Add(package);
            req.OrderDetail.PackageList = lstPackage.ToArray();

            var resp = client.M2CAddOrder(req);
            if (resp.Ack == CK1.EnumAck.Success)
            {
                Console.WriteLine(resp.OrderSign);
                foreach (var item in resp.Packages)
                {
                    Console.WriteLine("{0}: {1}.", item.Custom, item.ItemSign);
                }
            }
            else
            {
                Console.WriteLine(resp.Message);
            }

            Console.ReadKey();
        }
    }
}